CachingParams (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Class CachingParams

- java.lang.Object
- - org.apache.cassandra.schema.CachingParams

-     public final class CachingParams
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CachingParams.Option`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CachingParams` | `CACHE_EVERYTHING`
    `static CachingParams` | `CACHE_KEYS`
    `static CachingParams` | `CACHE_NOTHING`
    `static CachingParams` | `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingParams(boolean cacheKeys, int rowsPerPartitionToCache)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `asMap()`
    `boolean` | `cacheAllRows()`
    `boolean` | `cacheKeys()`
    `boolean` | `cacheRows()`
    `boolean` | `equals(java.lang.Object o)`
    `static CachingParams` | `fromMap(java.util.Map<java.lang.String,java.lang.String> map)`
    `int` | `hashCode()`
    `int` | `rowsPerPartitionToCache()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CACHE_NOTHING

          public static final CachingParams CACHE_NOTHING

    - #### CACHE_KEYS

          public static final CachingParams CACHE_KEYS

    - #### CACHE_EVERYTHING

          public static final CachingParams CACHE_EVERYTHING

    - #### DEFAULT

          public static CachingParams DEFAULT

  - ### Constructor Detail

    - #### CachingParams

          public CachingParams(boolean cacheKeys,
                               int rowsPerPartitionToCache)

  - ### Method Detail

    - #### cacheKeys

          public boolean cacheKeys()

    - #### cacheRows

          public boolean cacheRows()

    - #### cacheAllRows

          public boolean cacheAllRows()

    - #### rowsPerPartitionToCache

          public int rowsPerPartitionToCache()

    - #### fromMap

          public static CachingParams fromMap(java.util.Map<java.lang.String,java.lang.String> map)

    - #### asMap

          public java.util.Map<java.lang.String,java.lang.String> asMap()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation